Summary:	Powerful program for manipulating GIF images and animations
Summary(pl.UTF-8):	Potężny program do obróbki obrazków i animacji GIF
Name:		gifsicle
Version:	1.77
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://www.lcdf.org/gifsicle/%{name}-%{version}.tar.gz
# Source0-md5:	b9f93015ae4a81f78ed0939ee13c1897
Patch0:		%{name}-link.patch
URL:		http://www.lcdf.org/gifsicle/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	rpm >= 4.4.9-56
%if "%{pld_release}" == "ac"
BuildRequires:	XFree86-devel
%else
BuildRequires:	xorg-lib-libX11-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gifsicle manipulates GIF image files on the command line. It supports
merging several GIFs into a GIF animation; exploding an animation into
its component frames; changing individual frames in an animation;
turning interlacing on and off; adding transparency; adding delays,
disposals, and looping to animations; adding or removing comments;
optimizing animations for space; and changing images' colormaps, among
other things.

The gifsicle package contains two other programs: gifview, a
lightweight GIF viewer for X, can show animations as slideshows or in
real time, and gifdiff compares two GIFs for identical visual
appearance.

%description -l pl.UTF-8
gifsicle obrabia pliki obrazów GIF z linii poleceń. Obsługuje łączenie
kilku GIF-ów w animację GIF, rozbijanie animacji na klatki składowe,
zmianę poszczególnych klatek w animacji, włączanie i wyłączanie
interlace'u, dodawanie przezroczystości, dodawanie opóźnień,
dyspozycji i pętli do animacji, dodawanie i usuwanie komentarzy,
optymalizację animacji pod kątem rozmiaru oraz zmieny palety kolorów w
obrazach.

Pakiet gifsicle zawiera dwa dodatkowe programy: gifview (lekką
przeglądarkę GIF-ów dla X, potrafiącą pokazywać animacje jako pokazy
slajdów lub w czasie rzeczywistym) oraz gifdiff (porównujący dwa GIF-y
pod kątem identycznego wyglądu).

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gifdiff
%attr(755,root,root) %{_bindir}/gifsicle
%attr(755,root,root) %{_bindir}/gifview
%{_mandir}/man1/gifdiff.1*
%{_mandir}/man1/gifsicle.1*
%{_mandir}/man1/gifview.1*
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gifsicle.git;a=log;h=master

* Sat Nov 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 6120b07
- updated to 1.77

* Fri Nov 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 892b7ab
- updated to 1.76

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 0368b55
- updated to 1.74

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 1566110
- updated to 1.72

* Wed Jul 24 2013 Jakub Bogusz <qboosh@pld-linux.org> e0728be
- updated to 1.71

* Sat Feb 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 979f424
- updated to 1.70

* Mon Nov 26 2012 Jakub Bogusz <qboosh@pld-linux.org> fbef948
- updated to 1.68

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 4eec7ad
- updated to 1.67

* Tue Apr 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 10c03bc
- updated to 1.66

* Sun Nov 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 43015af
- updated to 1.64

* Sun Jul 24 2011 Jakub Bogusz <qboosh@pld-linux.org> ff4178d
- updated to 1.63

* Mon Feb 21 2011 Elan Ruusamäe <glen@pld-linux.org> 627e95e
- ac deps

* Sun Nov 14 2010 Jakub Bogusz <qboosh@pld-linux.org> ed07c27
- updated to 1.60

* Mon Jul 21 2008 Jakub Bogusz <qboosh@pld-linux.org> 667b1df
- updated to 1.52

* Mon May 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 73e224c
- updated to 1.48 (crash fix)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b9fa88d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0728e81
- converted to UTF-8

* Sun Jan 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 0f5d256
- updated to 1.46
- enabled compression support (by removing --enable-ungif option)
- added link patch, rebuild ac/am (to kill libSM/libICE deps)
- giflib is not used; BR: libX11-devel (for gifview)

* Sun Jan 14 2007 Jakub Bogusz <qboosh@pld-linux.org> e74d6b2
- don't link with -lSM -lICE

* Sun Jan 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 5872819
- pl

